Páginas de status
GET https://uptime.innovhub.online/api/status-pages/
curl --request GET \
--url 'https://uptime.innovhub.online/api/status-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime.innovhub.online/api/status-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| search | Opcional Corda | A string de busca. |
| search_by | Opcional Corda | Por qual campo você está pesquisando? Os valores permitidos são: name. |
| is_enabled | Opcional Booleano | |
| project_id | Opcional Inteiro | |
| domain_id | Opcional Inteiro | |
| datetime_field | Opcional Corda | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional Corda | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Opcional Corda | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Opcional Corda | Por qual campo ordenar os resultados. Valores permitidos são: status_page_id, datetime, last_datetime, name, pageviews. |
| order_type | Opcional Corda | A ordenação dos resultados. Valores permitidos são: ASC para ordenação ascendente e DESC para ordenação descendente. |
| page | Opcional Inteiro | O número da página da qual você deseja os resultados. O padrão é 1. |
| results_per_page | Opcional Inteiro | Quantos resultados você quer por página. Os valores permitidos são: 10, 25, 50, 100, 250, 500, 1000. O padrão é 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"domain_id": 0,
"monitors_ids": [1,2,3],
"project_id": 0,
"url": "example",
"full_url": "https://uptime.innovhub.online/example/",
"name": "Example",
"description": "This is just a simple description for the example status page 👋.",
"socials": {
"facebook": "example",
"instagram": "example",
"twitter": "example",
"email": "",
"website": "https://example.com/"
},
"logo_url": "",
"favicon_url": "",
"opengraph_url": "",
"password": false,
"timezone": "UTC",
"custom_js": "",
"custom_css": "",
"pageviews": 50,
"is_se_visible": true,
"is_removed_branding": false,
"is_enabled": true,
"datetime": "2026-07-28 07:26:20",
"last_datetime": "2026-07-28 07:26:20"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptime.innovhub.online/api/status-pages?page=1",
"last": "https://uptime.innovhub.online/api/status-pages?page=1",
"next": null,
"prev": null,
"self": "https://uptime.innovhub.online/api/status-pages?page=1"
}
}
GET https://uptime.innovhub.online/api/status-pages/{status_page_id}
curl --request GET \
--url 'https://uptime.innovhub.online/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime.innovhub.online/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"domain_id": 0,
"monitors_ids": [1,2,3],
"project_id": 0,
"url": "example",
"full_url": "https://uptime.innovhub.online/example/",
"name": "Example",
"description": "This is just a simple description for the example status page 👋.",
"socials": {
"facebook": "example",
"instagram": "example",
"twitter": "example",
"email": "",
"website": "https://example.com/"
},
"logo_url": "",
"favicon_url": "",
"opengraph_url": "",
"password": false,
"timezone": "UTC",
"custom_js": "",
"custom_css": "",
"pageviews": 50,
"is_se_visible": true,
"is_removed_branding": false,
"is_enabled": true,
"datetime": "2026-07-28 07:26:20",
"last_datetime": "2026-07-28 07:26:20"
}
}
POST https://uptime.innovhub.online/api/status-pages
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| name | Obrigatório Corda | - |
| description | Opcional Corda | - |
| url | Opcional Corda | - |
| domain_id | Opcional Inteiro | - |
| is_main_status_page | Opcional Booleano | - |
| monitors_ids | Opcional Array | - |
| heartbeats_ids | Opcional Array | - |
curl --request POST \
--url 'https://uptime.innovhub.online/api/status-pages' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'description=This is just a simple description.' \
--form 'monitors_ids[]=1' \
--form 'heartbeats_ids[]=1' \
--url 'https://uptime.innovhub.online/api/status-pages' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'description=This is just a simple description.' \
--form 'monitors_ids[]=1' \
--form 'heartbeats_ids[]=1' \
{
"data": {
"id": 1
}
}
POST https://uptime.innovhub.online/api/status-pages/{status_page_id}
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| name | Opcional Corda | - |
| description | Opcional Corda | - |
| url | Opcional Corda | - |
| timezone | Opcional Corda | - |
| password | Opcional Corda | - |
| title | Opcional Corda | - |
| meta_description | Opcional Corda | - |
| meta_keywords | Opcional Corda | - |
| language_code | Opcional Corda | - |
| font_family | Opcional Corda | - |
| theme | Opcional Corda | - |
| custom_css | Opcional Corda | - |
| custom_js | Opcional Corda | - |
| domain_id | Opcional Inteiro | - |
| is_main_status_page | Opcional Booleano | - |
| project_id | Opcional Inteiro | - |
| font_size | Opcional Inteiro | - |
| auto_refresh | Opcional Inteiro | - |
| pwa_display_install_bar_delay | Opcional Inteiro | - |
| monitors_ids | Opcional Array | - |
| heartbeats_ids | Opcional Array | - |
| socials | Opcional Array | Valores permitidos: socials[facebook], socials[instagram], socials[x], socials[threads], socials[email], socials[website] |
| is_enabled | Opcional Booleano | - |
| is_se_visible | Opcional Booleano | - |
| is_removed_branding | Opcional Booleano | - |
| display_share_buttons | Opcional Booleano | - |
| display_header_text | Opcional Booleano | - |
| pwa_is_enabled | Opcional Booleano | - |
| pwa_display_install_bar | Opcional Booleano | - |
| logo | Opcional Arquivo | - |
| logo_remove | Opcional Booleano | - |
| favicon | Opcional Arquivo | - |
| favicon_remove | Opcional Booleano | - |
| opengraph | Opcional Arquivo | - |
| opengraph_remove | Opcional Booleano | - |
| pwa_icon | Opcional Arquivo | - |
| pwa_icon_remove | Opcional Booleano | - |
| pwa_theme_color | Opcional Corda | - |
curl --request POST \
--url 'https://uptime.innovhub.online/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
--url 'https://uptime.innovhub.online/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://uptime.innovhub.online/api/status-pages/{status_page_id}
curl --request DELETE \
--url 'https://uptime.innovhub.online/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime.innovhub.online/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"domain_id": 0,
"monitors_ids": [1,2,3],
"heartbeats_ids": [1,2,3],
"project_id": 0,
"url": "example",
"full_url": "https://uptime.innovhub.online/example/",
"name": "Example",
"description": "This is just a simple description for the example status page 👋.",
"settings": {
"title": "Example",
"meta_description": "",
"meta_keywords": "",
"language_code": "en",
"font_family": "default",
"font_size": 16,
"display_share_buttons": true,
"display_header_text": true,
"auto_refresh": 0,
"pwa_file_name": null,
"pwa_is_enabled": false,
"pwa_icon": null,
"pwa_display_install_bar": false,
"pwa_display_install_bar_delay": 3,
"pwa_theme_color": "#000000"
},
"socials": {
"facebook": "",
"instagram": "",
"x": "",
"threads": "",
"email": "",
"website": ""
},
"logo_url": null,
"favicon_url": null,
"opengraph_url": null,
"password": false,
"timezone": "UTC",
"custom_js": "",
"custom_css": "",
"pageviews": 0,
"is_se_visible": true,
"is_removed_branding": false,
"is_enabled": true,
"datetime": "2026-07-28 07:26:20",
"last_datetime": "2026-07-28 07:26:20"
}
}